<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Dokumentacja klasy bottomSurface</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',false,false,'search.php','Szukaj');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('d8/dc1/classbottom_surface.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pro-attribs">Atrybuty chronione</a> &#124;
<a href="../../d1/d14/classbottom_surface-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle">
<div class="title">Dokumentacja klasy bottomSurface</div>  </div>
</div><!--header-->
<div class="contents">

<p>Modeluje pojęcie powierzchmi dna.  
 <a href="../../d8/dc1/classbottom_surface.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="../../d9/d7f/bottom_surface_8hh_source.html">bottomSurface.hh</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla bottomSurface</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/d4d/classbottom_surface__inherit__graph.png" border="0" usemap="#bottom_surface_inherit__map" alt="Inheritance graph"/></div>
<map name="bottom_surface_inherit__map" id="bottom_surface_inherit__map">
<area shape="rect" title="Modeluje pojęcie powierzchmi dna." alt="" coords="5,80,124,107"/>
<area shape="rect" href="../../d6/db5/class_scene.html" title="Modeluje pojęcie sceny." alt="" coords="34,155,95,181"/>
<area shape="rect" href="../../d7/da7/class_shape.html" title="Modeluje pojęcie obiektu geometrycznego." alt="" coords="33,5,96,32"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla bottomSurface:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/d86/classbottom_surface__coll__graph.png" border="0" usemap="#bottom_surface_coll__map" alt="Collaboration graph"/></div>
<map name="bottom_surface_coll__map" id="bottom_surface_coll__map">
<area shape="rect" title="Modeluje pojęcie powierzchmi dna." alt="" coords="23,260,141,287"/>
<area shape="rect" href="../../d7/da7/class_shape.html" title="Modeluje pojęcie obiektu geometrycznego." alt="" coords="51,184,113,211"/>
<area shape="rect" href="../../d5/db2/class_vector.html" title=" " alt="" coords="5,95,159,121"/>
<area shape="rect" href="../../d5/db2/class_vector.html" title=" " alt="" coords="13,5,151,32"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:a0ce3f995ccb6c47d41765aa99c3a45b6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dc1/classbottom_surface.html#a0ce3f995ccb6c47d41765aa99c3a45b6">bottomSurface</a> ()</td></tr>
<tr class="memdesc:a0ce3f995ccb6c47d41765aa99c3a45b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Konstruktor dla klasy <a class="el" href="../../d8/dc1/classbottom_surface.html" title="Modeluje pojęcie powierzchmi dna.">bottomSurface</a>.  <a href="../../d8/dc1/classbottom_surface.html#a0ce3f995ccb6c47d41765aa99c3a45b6">Więcej...</a><br /></td></tr>
<tr class="separator:a0ce3f995ccb6c47d41765aa99c3a45b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Atrybuty chronione</h2></td></tr>
<tr class="memitem:a17014c3403a3813c8b113d783879c5fe"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dc1/classbottom_surface.html#a17014c3403a3813c8b113d783879c5fe">kGroundFile</a> = &quot;solid/bottomSurface.dat&quot;</td></tr>
<tr class="memdesc:a17014c3403a3813c8b113d783879c5fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Plik z zapisanymi współrzędnymi dna.  <a href="../../d8/dc1/classbottom_surface.html#a17014c3403a3813c8b113d783879c5fe">Więcej...</a><br /></td></tr>
<tr class="separator:a17014c3403a3813c8b113d783879c5fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0931a99d79e973757222f04623518599"><td class="memItemLeft" align="right" valign="top">const double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dc1/classbottom_surface.html#a0931a99d79e973757222f04623518599">bottomLevel</a> = -200</td></tr>
<tr class="memdesc:a0931a99d79e973757222f04623518599"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zamienna zawierająca głębokość dna.  <a href="../../d8/dc1/classbottom_surface.html#a0931a99d79e973757222f04623518599">Więcej...</a><br /></td></tr>
<tr class="separator:a0931a99d79e973757222f04623518599"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_shape')"><img src="../../closed.png" alt="-"/>&#160;Atrybuty chronione dziedziczone z <a class="el" href="../../d7/da7/class_shape.html">Shape</a></td></tr>
<tr class="memitem:a555a7ac666dcb2bcd80c20371a54ce02 inherit pro_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#a555a7ac666dcb2bcd80c20371a54ce02">fileName</a></td></tr>
<tr class="memdesc:a555a7ac666dcb2bcd80c20371a54ce02 inherit pro_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nazwa pliku, w którym jest zapisany model obiektu geometrycznego.  <a href="../../d7/da7/class_shape.html#a555a7ac666dcb2bcd80c20371a54ce02">Więcej...</a><br /></td></tr>
<tr class="separator:a555a7ac666dcb2bcd80c20371a54ce02 inherit pro_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a6c23c7dae9cfcdd93800c08968a921 inherit pro_attribs_class_shape"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dca/_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#a5a6c23c7dae9cfcdd93800c08968a921">translation</a></td></tr>
<tr class="memdesc:a5a6c23c7dae9cfcdd93800c08968a921 inherit pro_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wektor przesunięcia obiektu.  <a href="../../d7/da7/class_shape.html#a5a6c23c7dae9cfcdd93800c08968a921">Więcej...</a><br /></td></tr>
<tr class="separator:a5a6c23c7dae9cfcdd93800c08968a921 inherit pro_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1642eab9d4f9d319a3d9a38d4a69cd90 inherit pro_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#a1642eab9d4f9d319a3d9a38d4a69cd90">angle</a></td></tr>
<tr class="memdesc:a1642eab9d4f9d319a3d9a38d4a69cd90 inherit pro_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Kąt obrócenia figury geometrycznej.  <a href="../../d7/da7/class_shape.html#a1642eab9d4f9d319a3d9a38d4a69cd90">Więcej...</a><br /></td></tr>
<tr class="separator:a1642eab9d4f9d319a3d9a38d4a69cd90 inherit pro_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Dodatkowe Dziedziczone Składowe</h2></td></tr>
<tr class="inherit_header pro_methods_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_shape')"><img src="../../closed.png" alt="-"/>&#160;Metody chronione dziedziczone z <a class="el" href="../../d7/da7/class_shape.html">Shape</a></td></tr>
<tr class="memitem:a392923e3a75a0710056ca4770af77ddc inherit pro_methods_class_shape"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#a392923e3a75a0710056ca4770af77ddc">makeRadians</a> (double <a class="el" href="../../d7/da7/class_shape.html#a1642eab9d4f9d319a3d9a38d4a69cd90">angle</a>) const</td></tr>
<tr class="memdesc:a392923e3a75a0710056ca4770af77ddc inherit pro_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Przelicza stopnie na radiany.  <a href="../../d7/da7/class_shape.html#a392923e3a75a0710056ca4770af77ddc">Więcej...</a><br /></td></tr>
<tr class="separator:a392923e3a75a0710056ca4770af77ddc inherit pro_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa8d87171e65e0d8ba3c5459978992a7 inherit pro_methods_class_shape"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Shape</a> ()</td></tr>
<tr class="memdesc:aaa8d87171e65e0d8ba3c5459978992a7 inherit pro_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Konstruktor dla klasy <a class="el" href="../../d7/da7/class_shape.html" title="Modeluje pojęcie obiektu geometrycznego.">Shape</a>.  <a href="../../d7/da7/class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Więcej...</a><br /></td></tr>
<tr class="separator:aaa8d87171e65e0d8ba3c5459978992a7 inherit pro_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a499ab02e6fd00d35c87e9409cab672dc inherit pro_methods_class_shape"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">translate</a> (const <a class="el" href="../../dc/dca/_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &amp;change)</td></tr>
<tr class="memdesc:a499ab02e6fd00d35c87e9409cab672dc inherit pro_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Powiększa wektor przesunięcia.  <a href="../../d7/da7/class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">Więcej...</a><br /></td></tr>
<tr class="separator:a499ab02e6fd00d35c87e9409cab672dc inherit pro_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ab9606f25f5121c5d09e95de802f4c0 inherit pro_methods_class_shape"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">writeAngle</a> (double change)</td></tr>
<tr class="memdesc:a4ab9606f25f5121c5d09e95de802f4c0 inherit pro_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zapisuje kąt obrotu Jako parametr przyjmuje wartość kąta, a następnie powiększa kąt o jaki jest obrócony obiekt geometryczny o ten który podalismy.  <a href="../../d7/da7/class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">Więcej...</a><br /></td></tr>
<tr class="separator:a4ab9606f25f5121c5d09e95de802f4c0 inherit pro_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_static_attribs_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pro_static_attribs_class_shape')"><img src="../../closed.png" alt="-"/>&#160;Statyczne atrybuty chronione dziedziczone z <a class="el" href="../../d7/da7/class_shape.html">Shape</a></td></tr>
<tr class="memitem:afeff37aabb0fa474e8820ad5372df342 inherit pro_static_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#afeff37aabb0fa474e8820ad5372df342">allCounter</a></td></tr>
<tr class="memdesc:afeff37aabb0fa474e8820ad5372df342 inherit pro_static_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Licznik utworzonych obiektów geometrycznych.  <a href="../../d7/da7/class_shape.html#afeff37aabb0fa474e8820ad5372df342">Więcej...</a><br /></td></tr>
<tr class="separator:afeff37aabb0fa474e8820ad5372df342 inherit pro_static_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock">
<p class="definition">Definicja w linii <a class="el" href="../../d9/d7f/bottom_surface_8hh_source.html#l00009">9</a> pliku <a class="el" href="../../d9/d7f/bottom_surface_8hh_source.html">bottomSurface.hh</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="a0ce3f995ccb6c47d41765aa99c3a45b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ce3f995ccb6c47d41765aa99c3a45b6">&#9670;&nbsp;</a></span>bottomSurface()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bottomSurface::bottomSurface </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="../../db/dcb/bottom_surface_8cpp_source.html#l00003">3</a> pliku <a class="el" href="../../db/dcb/bottom_surface_8cpp_source.html">bottomSurface.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a0931a99d79e973757222f04623518599"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0931a99d79e973757222f04623518599">&#9670;&nbsp;</a></span>bottomLevel</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const double bottomSurface::bottomLevel = -200</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="../../d9/d7f/bottom_surface_8hh_source.html#l00021">21</a> pliku <a class="el" href="../../d9/d7f/bottom_surface_8hh_source.html">bottomSurface.hh</a>.</p>

</div>
</div>
<a id="a17014c3403a3813c8b113d783879c5fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17014c3403a3813c8b113d783879c5fe">&#9670;&nbsp;</a></span>kGroundFile</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string bottomSurface::kGroundFile = &quot;solid/bottomSurface.dat&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="../../d9/d7f/bottom_surface_8hh_source.html#l00015">15</a> pliku <a class="el" href="../../d9/d7f/bottom_surface_8hh_source.html">bottomSurface.hh</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="../../d9/d7f/bottom_surface_8hh_source.html">bottomSurface.hh</a></li>
<li><a class="el" href="../../db/dcb/bottom_surface_8cpp_source.html">bottomSurface.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d8/dc1/classbottom_surface.html">bottomSurface</a></li>
    <li class="footer">Wygenerowano przez
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
